Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
General
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle installer chooses 1.1.8 by default.

Rob van Buiten
Regular Advisor

Oracle installer chooses 1.1.8 by default.

Hi All,

We run 11.11. By installing Oracle 9i.2 we must point to the JDK dir. I choose /opt/1.3 and let the installer continue. Oracle installs also 2 JRE versions: /oracle/jre/1.3.1 and /oracle/jre/1.1.8

After that I install OMS. When I run OEM it launches [JRE 1.1.8] How can I force to use JRE 1.3.1 after install? (JRE 1.1.8 has a memory leak) I've changed PATH in the file OEMCTL to

PATH=/oracle/jre/1.3.1/bin:$PATH
export PATH

but this trick gives a mismatch to paths..

So, how can I force to work with JRE/JAVA 1.3.1?? Why does the installer use 1.1.8 when 1.3.1 is also available???

thanks,
Ron
8 REPLIES
Wodisch
Honored Contributor

Re: Oracle installer chooses 1.1.8 by default.

Hi Rob/Ron,

you'll have to install your JDK into *before* your Oracle Installer asks for the directory containing it.
Usually HP's JREs and JDKs are installed into "/opt/java1.#", where "#" is "3" in your case.
So, please, don't use "/oracle/jre/1.3.1", as that is ONLY the JRE to be used by the Oracle Installer itself! (well, AFAIK)
Go for "http://www.hp.com/go/java" to download the proper Java JDK directly from HP, not from Sun's website.

BTW, the JDK contains a matching JRE, so you don't have to install that one, additionally - it's already there...

HTH,
Wodisch
Rob van Buiten
Regular Advisor

Re: Oracle installer chooses 1.1.8 by default.

Hi Wodisch ,

But java1.3 was (pre)installed in /opt/java1.3

So I did point to that directory during the Oracle install !!!

(not to the oracle jre, it doesn't exist in the first phase of the install)

thanks,
Ron Sahertian
Steven E. Protter
Exalted Contributor

Re: Oracle installer chooses 1.1.8 by default.

The oracle installer lets you tell it which java to use. It picks the first one it finds. Oracle products are famous(infamous) for ignoring the PATH and other environment variables at install and/or runtime.

Just tell the installer where to run java from when it comes up.

See the install guide and make sure the environment variables Oracle cares about are correct.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Wodisch
Honored Contributor

Re: Oracle installer chooses 1.1.8 by default.

Hi again, Ron!

The existence of "/opt/java1.3" doesn't tell you there's an JDK, it could be only the JRE!

FWIW,
Wodisch
Eric Antunes
Honored Contributor

Re: Oracle installer chooses 1.1.8 by default.

Hi Rob,

Note that you must install a certified combination of OS, RDBMS and Developer Suite.

So, for RDBMS on HP-UX PA_RISC (Is this a PA_RISC?), you must have installed the following:

GOLDQPK11i Dec 2001 (includes both GOLDAPPS11i and GLODBASE11i)
PHKL_25506
PHSS_26263
PHSS_24638 7
JDK 1.3.1.02

For Oracle Developer Suite Version 9.0.2, you must have installed:

December 2001 Quality Pack (Gold Patch Set) plus:
PHCO_25452 libc cumulative patch
PHKL_24569 Thread NOSTOP, Psets Enablement
PHKL_25389 Core PM, vPar, Psets Cumulative Patch
PHKL_25729 signals,threads enhancement, Psets Enablement
PHKL_25842 Thread Abort
PHKL_27092 Thread NOSTOP, Abort; Psets

Finally, check this thread, that may have some similar issues:

http://forums1.itrc.hp.com/service/forums/questionanswer.do?threadId=754384

Best Regards,

Eric Antunes
Each and every day is a good day to learn.
Wodisch
Honored Contributor

Re: Oracle installer chooses 1.1.8 by default.

Hi, again,

what did you enter, exactly, at that prompt?
It should be something like "/opt/java1.3", but without the quotes, of course.

FWIW,
Wodisch
Rob van Buiten
Regular Advisor

Re: Oracle installer chooses 1.1.8 by default.

Hi,

The oracle installer comes with a graphical tree where I must point to the JDK home directory [/opt/java1.3]


But there is one important thing more... Can't figure this out!
Java version 1.1.8 has a JRE executable which launches the OEM (oracle enterprise manager) But in Java 1.3 there is no JRE executable anymore. Why is that? How must we solve this?

thanks,
Ron Sahertian
Wodisch
Honored Contributor

Re: Oracle installer chooses 1.1.8 by default.

Hi Ron,

I just gave it a try on an A-Class (440MHz PA-RISC 8500, 1.5GB RAM) with Oracle 9.2.0.1.0 patched to 9.2.0.2.0:

HP-UX 11.11v1 from CD "December 2003", plus some patches (see attached file) plus "Oracle 9i Database for OpenView, 2002" (CDs ORA23-10830 - ORA23-10833) plus patch "Oracle 9i Database server patch" (ORA23-10838) installed, relinked, patched, started - all ok

Maybe the attached list of kernel parameters and patches could be of help for you?

Good luck,
Wodisch